#!/usr/bin/env python

# Copyright (C) 2008 Canonical, Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


from setuptools import setup

TracLaunchpad = 'http://launchpad.net/trac-launchpad'

setup(name='TracLaunchpad',
      description='Plugin for Trac for Launchpad interaction',
      keywords='trac plugin launchpad',
      version='0.1.2-2',
      url=TracLaunchpad,
      license='GPL',
      author='Canonical, Ltd.',
      author_email='code@timhatch.com',
      platform=['windows', 'posix'],
      long_description="""
      This plugin allows Launchpad to communicate with your Trac instance
      to update corresponding bugs in Launchpad, as well as refer bugs to
      you.
      """,
      packages=['tracext', 'tracext.launchpad'],
      entry_points={'trac.plugins': 'launchpad = tracext.launchpad'},
      )
